SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SULocationRef Struct Reference

References a type that contains location information of a model (e.g. latitude, longitude). More...

`#include <SketchUpAPI/model/location.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SULocationGetLatLong (SULocationRef location, double *latitude, double *longitude)
| Retrieves the latitude and longitude of a location object. More...
enum SUResult | SULocationSetLatLong (SULocationRef location, double latitude, double longitude)
| Assigns the latitude and longitude values of a location object. More...
enum SUResult | SULocationSetNorthAngle (SULocationRef location, double north_angle)
| Assigns the north angle values of a location object. More...

## Detailed Description

References a type that contains location information of a model (e.g. latitude, longitude).

## Friends And Related Function Documentation

enum SUResult SULocationGetLatLong | ( | SULocationRef | location,
|  | double * | latitude,
|  | double * | longitude
| ) |  |
| related

Retrieves the latitude and longitude of a location object.

Parameters

  [in] | location | The location object.
  [out] | latitude | The latitude value retrieved.
  [out] | longitude | The longitude value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if location is not a valid object
  - SU_ERROR_NULL_POINTER_INPUT if latitude or longitude is NULL

enum SUResult SULocationSetLatLong | ( | SULocationRef | location,
|  | double | latitude,
|  | double | longitude
| ) |  |
| related

Assigns the latitude and longitude values of a location object.

Parameters

  [in] | location | The location object.
  [in] | latitude | The latitude value to assign.
  [in] | longitude | The longitude value to assign.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if location is not a valid object or if the latitude is out of range [-90, 90] or if longitude is out of range [-180, 180]

enum SUResult SULocationSetNorthAngle | ( | SULocationRef | location,
|  | double | north_angle
| ) |  |
| related

Assigns the north angle values of a location object.

Parameters

  [in] | location | The location object.
  [in] | north_angle | The north angle value to assign.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if location is not a valid object or if north angle is out of range [0, 360]

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/location.h